%define pkgname PyWavelets
%define module	pywavelets
%define name 	python-%{module}
%define version 0.2.0
%define release 2

Summary: 	Python module for wavelet transforms
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{pkgname}-%{version}.tar.bz2
License: 	MIT
Group:		Development/Python
Url: 		http://www.pybytes.com/pywavelets/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	pywavelets
Requires:	python-numpy
BuildRequires:	python-cython
BuildRequires:	python-sphinx
%py_requires -d

%description
PyWavelets is a Python wavelet transform module that includes:

* 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
* 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
* 1D and 2D Wavelet Packet decomposition and reconstruction
* Computing Approximations of wavelet and scaling functions
* Over seventy built-in wavelet filters and support for custom wavelets
* Single and double precision calculations
* Results compatibility with Matlab Wavelet Toolbox (tm)

%prep
%setup -q -n %{pkgname}-%{version}

%build
PYTHONDONTWRITEBYTECODE= %__python setup.py build
%make -C doc html

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc *.txt demo/ doc/build/html




%changelog
* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.2.0-2mdv2011.0
+ Revision: 593997
- rebuild for py2.7

* Tue Aug 10 2010 Lev Givon <lev@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 568837
- Update to 0.2.0.

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1.6-2mdv2010.0
+ Revision: 442475
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1.6-1mdv2008.1
+ Revision: 136456
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 23 2007 Lev Givon <lev@mandriva.org> 0.1.6-1mdv2007.0
+ Revision: 112642
- Update to 0.1.6.
- Import python-pywavelets

* Thu Sep 07 2006 Lev Givon <lev@mandriva.org> 0.1.4-2mdk
- Tweak build requirements.

* Thu Sep 07 2006 Lev Givon <lev@mandriva.org> 0.1.4-1mdk
- Update version.

* Wed Apr 26 2006 Lev Givon <lev@mandriva.org> 0.1.2-2mdk
- Change package name.

* Mon Apr 24 2006 Lev Givon <lev@mandriva.org> 0.1.2-1mdk
- Initial Mandriva package.

